@REM */**********************************************************************\*
@REM **                                                                      **
@REM ** Licensed Materials - Property of IBM                                 **
@REM ** (C) Copyright IBM Corp. 2005, 2007  All Rights Reserved.             **
@REM **                                                                      **
@REM ** US Government Users Restricted Rights - Use, duplication, or         **
@REM ** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.    **
@REM **                                                                      **
@REM *\**********************************************************************/*
@echo off
REM ****************************************************************************************************
REM * Program description:                                                                             *
REM *    Import available LAS Adapter definitions into LAS database                                    *
REM *                                                                                                  *
REM ****************************************************************************************************


@setlocal

set MYERRORLEVEL=0

REM Set current Drive and PATH
set CURRENT_MAIN_DRIVE=%~d0
set CURRENT_MAIN_PATH=%~dp0

%CURRENT_MAIN_DRIVE%
cd "%CURRENT_MAIN_PATH%"

REM
REM get actual configuration
REM
echo ++++ %DATE%:%TIME% try loading Atlas configuration from ..\..\atlas.config.bat
if exist ..\..\atlas.config.bat call ..\..\atlas.config.bat

REM ###########################################################################
REM ##########            **set config defaults**                    ##########
REM ###########################################################################

if not exist ..\..\atlas.config.defaults.bat (
   echo ++++ %DATE%:%TIME% ERROR: ..\..\atlas.config.defaults.bat is missing!
   set MYERRORLEVEL=1
   goto :EXIT
)

echo ++++ %DATE%:%TIME% loading Atlas defaults from ..\..\atlas.config.bat
call ..\..\atlas.config.defaults.bat

REM ###########################################################################
REM ##########            **set config defaults end**                ##########
REM ###########################################################################

db2 -ov connect to 'ATLASDB' user %DB2ADMIN% using %DB2PSWD%

REM ###########################################################################
REM ########## clear all available AdapterPlugins in database        ##########
REM ###########################################################################

db2 -ov delete from ibmatlas.plugins where PLUGIN_INDEX BETWEEN 100 and 1000

REM ###########################################################################
REM ########## load all available AdapterPlugins into database       ##########
REM ###########################################################################
 
FOR %%a in (.\*AdapterPlugin.txt) DO echo Processing %%a ...&db2 -ov import from %%a of del commitcount automatic INSERT into ibmatlas.plugins

db2 -ov connect reset

:EXIT
endlocal
